收藏
回答

navigator 小程序不跳转

框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
小程序 Bug navigator 微信iOS客户端 iOS 6.6.6 2.0.8

使用navigator来控制跳转到其他小程序 按照官方文档写的

<navigator target="miniProgram" open-type="navigate" app-id="xxx" path="pages/index/index" extra-data="" version="release">
                 立即使用
                </navigator>

但是点击了没有任何反应 用原来的

wx.navigateToMiniProgram 接口还可以跳转 求解答~~谢谢

回答关注问题邀请回答
收藏

5 个回答

  • 🍉DLY🎉
    🍉DLY🎉
    2018-05-24

    从微信官方文档上粘下来就可以用 但是明明跟我写的并没有什么区别。。。不知道为什么

    2018-05-24
    有用 1
    回复
  • 管思旭
    管思旭
    2018-05-26

    我也是这个问题,用API可以,用组件不行

    2018-05-26
    有用
    回复
  • 小马小马 放你一🐴
    小马小马 放你一🐴
    2018-05-25

    老哥你怎么解决的 我也是点了什么反应都没有 wx.navigateToMiniProgram接口也不能跳 基础库版本是2.0.8

    2018-05-25
    有用
    回复 7
    查看更多(2)
  • 為了愛
    為了愛
    2018-05-23

    我也遇见了,一直提示我url是必须的,但是url要写什么?但是navigateToMiniProgram用的好好的

    2018-05-23
    有用
    回复 8
    • 🍉DLY🎉
      🍉DLY🎉
      2018-05-24
      url 那个是因为你没用2.0.7以上的基本库 我这个点了是不报错 什么都没有 就是没反应。。。特别坑爹
      2018-05-24
      回复
    • 為了愛
      為了愛
      2018-05-24回复🍉DLY🎉
      因为我线上版本的基础库没有改,所以线上的报错了
      2018-05-24
      回复
    • 🍉DLY🎉
      🍉DLY🎉
      2018-05-24回复為了愛
      改了基础库你的就可以用了么。。我的点了什么反应都没有。。。
      2018-05-24
      回复
    • 為了愛
      為了愛
      2018-05-24回复🍉DLY🎉
      改了微信版本也得跟上,不然还是有问题,所以还是得做个兼容,检测下用户版本,低版本提示更新
      2018-05-24
      回复
    • 🍉DLY🎉
      🍉DLY🎉
      2018-05-24回复為了愛
      好 低版本的可以还用原来的那个接口么 还是低版本的也用不了了。。
      2018-05-24
      回复
    查看更多(3)
  • 铁憨憨
    铁憨憨
    2018-05-23

    你的index页是tabbar吧,得用switchTo

    2018-05-23
    有用
    回复 1
    • 🍉DLY🎉
      🍉DLY🎉
      2018-05-23
      不是tabbar 是一个webview 页面
      2018-05-23
      回复
登录 后发表内容